import sqlite3

# 创建或者链接数据库
conn = sqlite3.connect('test.db')

# 创建游标
c = conn.cursor()

#########################

# 数据库创建表 datas
# id, name, date

sql = '''
    CREATE TABLE IF NOT EXISTS datas (
        id INTEGER PRIMARY KEY AUTOINCREMENT,
        name VARCHAR(255),
        date VARCHAR(255)
    )
'''

c.execute(sql)

#########################


def get_datas():
    sql = '''
        SELECT * FROM datas
    '''

    c.execute(sql)
    datas = c.fetchall()

    print(datas)

#########################

# 插入数据


sql = '''
    INSERT INTO datas (name, date) VALUES ('张三', '2019-01-01')
'''

c.execute(sql)
conn.commit()

get_datas()

#########################

# 修改数据
sql = '''
    UPDATE datas SET name='李四' WHERE id=1
'''

c.execute(sql)
conn.commit()

get_datas()

#########################

# 删除数据
sql = '''
    DELETE FROM datas WHERE id=1
'''

c.execute(sql)
conn.commit()

get_datas()
